Skip to main content
GET
/
kyb
/
forms
/
{companyId}
/
questionnaires
/
{id}
/
Retrieve questionnaire
curl --request GET \
  --url https://ivs.idenfy.com/kyb/forms/{companyId}/questionnaires/{id}/ \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://ivs.idenfy.com/kyb/forms/{companyId}/questionnaires/{id}/"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://ivs.idenfy.com/kyb/forms/{companyId}/questionnaires/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
HttpResponse<String> response = Unirest.get("https://ivs.idenfy.com/kyb/forms/{companyId}/questionnaires/{id}/")
.header("Authorization", "Bearer <token>")
.asString();


using RestSharp;


var options = new RestClientOptions("https://ivs.idenfy.com/kyb/forms/{companyId}/questionnaires/{id}/");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);

Console.WriteLine("{0}", response.Content);
package main

import (
"fmt"
"net/http"
"io"
)

func main() {

url := "https://ivs.idenfy.com/kyb/forms/{companyId}/questionnaires/{id}/"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("Authorization", "Bearer <token>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
val client = OkHttpClient()

val request = Request.Builder()
.url("https://ivs.idenfy.com/kyb/forms/{companyId}/questionnaires/{id}/")
.get()
.addHeader("Authorization", "Bearer <token>")
.build()

val response = client.newCall(request).execute()
import Foundation

let url = URL(string: "https://ivs.idenfy.com/kyb/forms/{companyId}/questionnaires/{id}/")!
var request = URLRequest(url: url)
request.httpMethod = "GET"
request.timeoutInterval = 10
request.allHTTPHeaderFields = ["Authorization": "Bearer <token>"]

let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self))
{
  "id": "<string>",
  "key": "<string>",
  "name": "<string>",
  "title": "<string>",
  "sections": [
    {
      "key": "<string>",
      "title": "<string>",
      "questions": [
        {
          "key": "<string>",
          "title": "<string>",
          "description": "",
          "choices": [
            {
              "key": "<string>",
              "title": "<string>"
            }
          ],
          "required": false,
          "placeholder": "<string>",
          "condition": "<string>"
        }
      ],
      "description": "",
      "condition": "<string>"
    }
  ],
  "description": ""
}

Authorizations

Authorization
string
header
required

Authentication for actions with all operations associated with KYB form.
Token obtained from KYB form token generation endpoint as tokenString value.

Path Parameters

companyId
string
required
id
string
required

A unique value identifying this questionnaire.

Response

200 - application/json
id
string
required
read-only
key
string
required
read-only

Used for token creation to identify this questionnaire.

Maximum string length: 32
Pattern: ^[\w_*-]+$
name
string
required
Maximum string length: 32
title
string
required
Maximum string length: 512
sections
object[]
required
description
string | null
default:""
Maximum string length: 512
type
enum<string>
Available options:
KYC,
KYB